"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Container = void 0;
const di_1 = require("@ts-phoenix/di");
const constants_1 = require("./constants");
const errors_1 = require("./errors");
class Container extends di_1.Container {
    getPackageConfigToken(token) {
        return this.getToken(token);
    }
    get(serviceIdentifier) {
        try {
            return super.get(serviceIdentifier);
        }
        catch (e) {
            const message = e.message;
            if (message.includes('No matching bindings found')) {
                if (message.includes(constants_1.CONFIG_TOKEN_IDENTIFIER)) {
                    const packageName = message // Symbol(CONFIG_TOKEN_IDENTIFIER "PACKAGE_NAME")
                        .split(constants_1.CONFIG_TOKEN_IDENTIFIER)[1] // "PACKAGE_NAME")
                        .slice(0, -1) // remove ")"
                        .trim() // remove the space
                        .split('_')
                        .map((word) => word[0].toUpperCase() + word.slice(1).toLowerCase())
                        .join(' ');
                    throw new errors_1.ConfigNotFoundError({
                        packageName,
                    });
                }
            }
            throw e;
        }
    }
}
exports.Container = Container;
