import { Token } from '@ts-phoenix/di';
import { EventManager } from '@ts-phoenix/event-manager';
import { Container } from './container';
import { CoreConfig, CoreState } from './defs';
export declare class Core {
    private config;
    private _state;
    private _container;
    eventManager: EventManager;
    constructor(config: CoreConfig);
    get state(): CoreState;
    get isNew(): boolean;
    get isInitialised(): boolean;
    get isInitialising(): boolean;
    get container(): Container;
    setToken<T>(token: Token<T>, value: T): void;
    private checkPackagesDependencies;
    initialise(): Promise<void>;
    shutdown(): Promise<void>;
}
