"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DependencyNotFoundError = exports.ConfigNotFoundError = void 0;
const error_1 = require("@ts-phoenix/error");
class ConfigNotFoundError extends error_1.Error {
    getMessage() {
        const packageName = this.data.packageName;
        return `Missing config for package "${packageName}". Perhaps you forgot to add it to the core?`;
    }
}
exports.ConfigNotFoundError = ConfigNotFoundError;
class DependencyNotFoundError extends error_1.Error {
    getMessage() {
        return `The package ${this.data.dependent} depends on ${this.data.dependency}, but it was not found in the core.`;
    }
}
exports.DependencyNotFoundError = DependencyNotFoundError;
