import { DeepPartial, MaybePromise } from '@ts-phoenix/typings';
import { Core } from './core';
import { PackagesConstructors, PartialConfig } from './defs';
import { PackageConfigToken } from './tokens';
export declare abstract class Package<ConfigType extends Record<string, any> | null = null, RequiredConfigType extends Partial<ConfigType> | null = null> {
    protected core: Core;
    private _config;
    constructor(...args: RequiredConfigType extends null ? [DeepPartial<ConfigType>?] : [RequiredConfigType & DeepPartial<ConfigType>]);
    getConfigToken(): ConfigType extends null ? null : PackageConfigToken<ConfigType>;
    getDependencies(): PackagesConstructors;
    getDefaultConfig(): PartialConfig<ConfigType, RequiredConfigType>;
    initialise(): MaybePromise<void>;
    get config(): ConfigType;
    private __setCore;
    private __mergeConfig;
    private __setConfigToken;
}
