"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageConfigToken = exports.CONTAINER = void 0;
const di_1 = require("@ts-phoenix/di");
const constants_1 = require("./constants");
exports.CONTAINER = new di_1.Token('CONTAINER');
class PackageConfigToken extends di_1.Token {
    constructor(
    /**
     * The name of the package that this token belongs to.
     * This is used to identify the token in error messages.
     * Format: PACKAGE_NAME
     * Example: 'REACT_I18N'
     */
    packageName) {
        super(`${constants_1.CONFIG_TOKEN_IDENTIFIER} ${packageName}`);
    }
}
exports.PackageConfigToken = PackageConfigToken;
